<?php

if (!defined('BLOCKFOLD_THEME_DIR')) {
    define('BLOCKFOLD_THEME_DIR', trailingslashit(get_stylesheet_directory()));
}

if (!defined('BLOCKFOLD_THEME_URI')) {
    define('BLOCKFOLD_THEME_URI', trailingslashit(esc_url(get_stylesheet_directory())));
}

if (!defined('BLOCKFOLD_THEME_SETTINGS')) {
    define('BLOCKFOLD_THEME_SETTINGS', 'blockfold-settings');
}

if (!defined('BLOCKFOLD_THEME_LIB')) {
    define('BLOCKFOLD_THEME_LIB', BLOCKFOLD_THEME_DIR . 'inc/rocksite-lib/');
}

if (!defined('BLOCKFOLD_THEME_CONFIG')) {
    define('BLOCKFOLD_THEME_CONFIG', BLOCKFOLD_THEME_LIB . 'config/');
}

if (!defined('BLOCKFOLD_THEME_CLASSES')) {
    define('BLOCKFOLD_THEME_CLASSES', BLOCKFOLD_THEME_LIB . 'classes/');
}

if (!defined('BLOCKFOLD_THEME_FUNCTIONS')) {
    define('BLOCKFOLD_THEME_FUNCTIONS', BLOCKFOLD_THEME_LIB . 'functions/');
}

if (!defined('BLOCKFOLD_THEME_INTEGRATIONS')) {
    define('BLOCKFOLD_THEME_INTEGRATIONS', BLOCKFOLD_THEME_LIB . 'integrations/');
}

if (!defined('BLOCKFOLD_THEME_VENDOR')) {
    define('BLOCKFOLD_THEME_VENDOR', BLOCKFOLD_THEME_LIB . 'vendor/');
}

if (!defined('BLOCKFOLD_THEME_ASSETS')) {
    define('BLOCKFOLD_THEME_ASSETS', BLOCKFOLD_THEME_URI . 'assets/');
}

if (!defined('BLOCKFOLD_THEME_ADMIN_ASSETS')) {
    define('BLOCKFOLD_THEME_ADMIN_ASSETS', BLOCKFOLD_THEME_URI . 'admin/assets/');
}

if (!defined('BLOCKFOLD_THEME_EXTEND')) {
    define('BLOCKFOLD_THEME_EXTEND', BLOCKFOLD_THEME_LIB . 'extend/');
}




/**
 * Load library files
 */

require_once BLOCKFOLD_THEME_LIB . 'loader.php';

blockfold::get_instance();


if (!function_exists('blockfold_theme_setup')) {

    function blockfold_theme_setup()
    {

        blockfold::setup();

        /*
* Adds starter content to highlight the theme on fresh sites.
* This is done conditionally to avoid loading the starter content on every
* page load, as it is a one-off operation only needed once in the customizer.
*/
        if (is_customize_preview()) {
            require get_stylesheet_directory() . '/starter/starter-content.php';
            add_theme_support('starter-content', blockfold_get_starter_content());
        }

    }
}

add_action('after_setup_theme', 'BLOCKFOLD_THEME_setup');




















